## ros-kinetic-op3-manager 0.2.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(op3_manager)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  robotis_controller_msgs
  op3_action_module_msgs
  op3_walking_module_msgs
  op3_online_walking_module_msgs
  cmake_modules
  dynamixel_sdk
  robotis_framework_common
  robotis_device
  robotis_controller
  robotis_math
  op3_kinematics_dynamics
  op3_balance_control
  open_cr_module
  op3_base_module
  op3_head_control_module
  op3_walking_module
  op3_action_module
  op3_direct_control_module
  op3_online_walking_module
)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp robotis_controller_msgs op3_action_module_msgs op3_walking_module_msgs op3_online_walking_module_msgs cmake_modules dynamixel_sdk robotis_framework_common robotis_device robotis_controller robotis_math op3_kinematics_dynamics op3_balance_control open_cr_module op3_base_module op3_head_control_module op3_walking_module op3_action_module op3_direct_control_module op3_online_walking_module
)

################################################################################
# Build
################################################################################
include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME} src/op3_manager.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-kinetic-op3-manager (0.2.1-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Sun, 25 Mar 2018 15:00:00 -0000

ros-kinetic-op3-manager (0.2.0-0xenial) xenial; urgency=high

  * added wholebody module
  * added online walking module
  * added body offset z
  * added C++11 build option
  * deleted op3_optimization node in op3_manager.launch
  * changed dynamixel code for deprecated function
  * changed package.xml to use format v2
  * refactoring to rele
  * Contributors: Kayman, Pyo, SCH

 -- Pyo <pyo@robotis.com>  Sun, 25 Mar 2018 15:00:00 -0000

ros-kinetic-op3-manager (0.1.1-0xenial) xenial; urgency=high

  * added a launch file for gazebo
  * added test code about collision check
  * added direct_control_module
  * deleted offset.yaml
  * changed License from BSD to Apache 2.0
  * fixed action_module bug
  * Contributors: Kayman, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 30 Oct 2017 15:00:00 -0000

ros-kinetic-op3-manager (0.1.0-0xenial) xenial; urgency=high

  * added meta package
  * added new function to action_editor(mirror, copy step value)
  * added the function of recovery after reset
  * added function of reset dxl power
  * added action, modified dxl init file
  * added function to play mp3 with playing action
  * added debug setting to the init.yaml
  * added motoin_data
  * added ceremony motion after kick [soccer_demo]
  * applied latest framework to robot files
  * applied advance of soccer demo
  * applied ROS C++ Coding Style
  * applying framework
  * clear offset file
  * modified start button function : restart -> restart or go init pose [op3_manager]
  * modified the OP3.robot
  * modified gain
  * updated for humanoid 2016
  * changed control cycle to 8ms
  * changed setting for walking and dxl
  * changed mp3 files to new voice
  * changed package name : op2 -> op3
  * Contributors: Kayman

 -- Pyo <pyo@robotis.com>  Thu, 26 Oct 2017 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-op3-manager
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-dynamixel-sdk, ros-kinetic-op3-action-module, ros-kinetic-op3-action-module-msgs, ros-kinetic-op3-balance-control, ros-kinetic-op3-base-module, ros-kinetic-op3-direct-control-module, ros-kinetic-op3-head-control-module, ros-kinetic-op3-kinematics-dynamics, ros-kinetic-op3-online-walking-module, ros-kinetic-op3-online-walking-module-msgs, ros-kinetic-op3-walking-module, ros-kinetic-op3-walking-module-msgs, ros-kinetic-open-cr-module, ros-kinetic-robotis-controller, ros-kinetic-robotis-controller-msgs, ros-kinetic-robotis-device, ros-kinetic-robotis-framework-common, ros-kinetic-robotis-math, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/op3_manager
Standards-Version: 3.9.2

Package: ros-kinetic-op3-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cmake-modules, ros-kinetic-dynamixel-sdk, ros-kinetic-op3-action-module, ros-kinetic-op3-action-module-msgs, ros-kinetic-op3-balance-control, ros-kinetic-op3-base-module, ros-kinetic-op3-direct-control-module, ros-kinetic-op3-head-control-module, ros-kinetic-op3-kinematics-dynamics, ros-kinetic-op3-localization, ros-kinetic-op3-online-walking-module, ros-kinetic-op3-online-walking-module-msgs, ros-kinetic-op3-walking-module, ros-kinetic-op3-walking-module-msgs, ros-kinetic-open-cr-module, ros-kinetic-robotis-controller, ros-kinetic-robotis-controller-msgs, ros-kinetic-robotis-device, ros-kinetic-robotis-framework-common, ros-kinetic-robotis-math, ros-kinetic-roscpp
Description: The op3_manager package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-op3-manager//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
